<?php
$file = $_GET['file'];
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>phpHighlighter: <?php echo $file; ?></title>
        <?php

        //css to style the output
        echo ' <style type="text/css">
		* {
		margin: 0 0 0 0;
		padding: 0 0 0 0;
		}

		.num {
		float: left;
		color: #000;
		font-size: 13px;
		font-family: monospace;
		text-align: right;
		margin-right: 6pt;
		padding-right: 6pt;
		background-color: #E8E8E8;}

		td {
		vertical-align: top;
		}

		code {
		white-space: nowrap;
		}
		</style>';
        ?>
    </head>
    <body>
        <?php

        function highlightFile($file) {

            if ($file != '') {

                //if file does exist
                if (file_exists($file)) {

                    //get line numbers
                    $lines = implode(range(1, count(file($file))), '<br />');
                    
                    //get content
                    $content = highlight_file($file, true);

                    //output highlighted code
                    echo "<table><tr><td class=\"num\">\n$lines\n</td><td>\n$content\n</td></tr></table>";
                } else {

                    //if file doesnt exist
                    echo 'File \'' . $file . '\' Does Not Exist!';
                }

            } else {

                //if no filename is supplied
                echo 'No file selected!';
            }

        }

        highlightFile($file);
        ?>
    </body>
</html>
